Description

I think the bottombar needs some design/gui love...

Playing with a custom list of predefined scales I had a better look on the bottom bar (the bar beneath the map) of QGIS desktop.

I was working in epsg:28992 and the scales never looked right, because at higher scales the '1:x" part was to big for the given textline.

Thinking it had something todo with the crs, I changed to 3857 (google) and 4326 (latlon), but it never got better....

My comments/thoughts

- make the scale item a little bigger (not sure if it is so small because of eg android devices??)

- remove the borders/frames from the text items (have to look if they look different in windows....)

- maybe make the textlines for coordinate and scale dynamic sized? Not constantly, but as soon as the textsize is bigger then the

available space, add 20px to it.

- when OTF (on the fly projection) is disabled you see a grey-out crs. when it is on it is black. Maybe skip that (it IS extra info though..)

- the frame of the Render checbox is bigger then the other ones

- Coordinate and Extents has a colon next to it, Scale does NOT?

- Not sure of this one: the text says: Coordinate (OK), but extents (isn't it extent?)?

- message bar icon is not available anymore as soon as you open it and then close it (it does not come back)

History

#1 - 2014-06-22 02:12 AM - Richard Duivenvoorde

- File windowsbottom.png added

mmm, looks better on windows :-(

(screenshot attached)

#2 - 2014-06-22 06:46 AM - Jürgen Fischer

- Subject changed from bottom bar of QGIS needs some love to status bar needs some love

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
